//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HTMLCalendarGenerator.h"
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
   TLabel *Label1;
   TComboBox *MonthCombo;
   TLabel *Label2;
   TComboBox *YearCombo;
   TButton *GenerateBtn;
   TButton *CloseBtn;
   THTMLCalendarGenerator *HTMLCalendarGenerator1;
   TSaveDialog *SaveDialog;
   void __fastcall CloseBtnClick(TObject *Sender);
   void __fastcall GenerateBtnClick(TObject *Sender);
   void __fastcall MonthComboChange(TObject *Sender);
   void __fastcall YearComboChange(TObject *Sender);
   void __fastcall HTMLCalendarGenerator1GetEvent(TObject *Sender,
          TDateTime date, AnsiString &desc);
private:	// User declarations
public:		// User declarations
   __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
