//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Graphics.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
#include <memory>
class TForm1 : public TForm
{
__published:
  TImage *Image1;
  TBitBtn *ColorMatchButton;
  TBevel *Bevel1;
  TBitBtn *RestoreButton;  
  void __fastcall
    ColorMatchButtonClick(TObject *Sender);
  void __fastcall
    RestoreButtonClick(TObject *Sender);
private:
   std::auto_ptr<Graphics::TBitmap> OrigBitmap_;
public:
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
